## slatec 4.1-2

=== src/machine/Makefile ===
#

F77 = g77
CC = cc 

CFLAGS = -O3
#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<

.c.o:
	$(CC) -c $(CFLAGS)  $(OCFLAGS) $(DEFS) $<

MACHOBJS = d1mach.o i1mach.o r1mach.o xerhlt.o fdump.o



objs:  $(MACHOBJS)

all:	static shared

static:	$(MACHOBJS)
	ar ru libmach.a 	$(MACHOBJS)
	ranlib libmach.a

shared: $(ERROBJS)
	ld -shared -o libmach.so $(MACHOBJS) -lc


clean:	
	-rm -f *.o *.so *.a

=== src/pchip/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<


PCHIPOBJS = pchsw.o pchst.o pchsp.o pchkt.o pchim.o pchid.o  \
 pchic.o pchia.o pchfe.o pchfd.o pchdoc.o pchdf.o pchcs.o  \
 pchcm.o pchci.o pchce.o pchbs.o dpchsw.o dpchst.o dpchsp.o  \
 dpchkt.o dpchim.o dpchid.o dpchic.o dpchia.o dpchfe.o   \
 dpchfd.o dpchdf.o dpchcs.o dpchcm.o dpchci.o dpchce.o dpchbs.o   \
 dchfie.o dchfev.o dchfdv.o dchfcm.o chfie.o chfev.o chfdv.o chfcm.o   \

objs:  $(PCHIPOBJS)

static:	$(PCHIPOBJS)
	ar ru libpchip.a 	$(PCHIPOBJS)

shared: $(PCHIPOBJS)
	ld -shared libpchip.so $(PCHIPOBJS) -lc


clean:	
	-rm -f *.o *.so *.a

=== debian/changelog ===
slatec (4.1-2) unstable; urgency=low

  * make more non-i386 friendly
  * fix static and shared libs.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu,  1 Oct 1998 14:41:29 -0700
	

slatec (4.1-1) unstable; urgency=low

  * Intitial packaging

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat,  8 Aug 1998 11:49:49 -0700


Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: slatec
Section: libs
Priority: extra
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.4.1.2

Package: slatec
Section: libs
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: numerical computation library
 slatec is a fortran library of over 1400 routines 
 for numerical tasks.  Some of the subjects covered 
 are: Arithmetic, error analysis, Elementary 
 and special functions, Linear Algebra, Interpolation,
 Solution of nonlinear equations, Optimization,
 Differentiation, integration, Differential and 
 integral equations, Integral transforms, Statistics, 
 probability, and Data handling.

Package: slatec-dev
Section: devel
Priority: extra
Architecture: any
Depends: slatec
Description: static lib, docs, and test code for slatec
 Static library and test programs and documents for
 the slatec library.

=== debian/rules ===
#!/usr/bin/make -f
#
# John Lapeyre modified the gmp2 rules file
# This is a debian/rules make file. It supports the targets:
# build, clean, binary-indep, binary-arch, and binary
#
# This file was created by Dale Scheetz <dwarf@polaris.net> and modified
# to create "versioned" package names in late November of 1997.
# This file is copyright 1997 by Software in the Public Interest and 
# is thereby licensed under the GPL.

# Package names
#
P=slatec
P2=slatec-dev
INSTALL = /usr/bin/install
CC := $(shell if [ -x /usr/bin/egcc ]; then echo egcc; else echo cc; fi)

# Create the two so version strings for the symbolic link names
#
command=/usr/lib/dpkg/parsechangelog/debian <debian/changelog
v1 := $(shell $(command) |sed -n '/Version: /s;;;p' |sed -e 's/\..\+//')
v2 := $(shell $(command) |sed -n '/Version: /s;;;p' |sed -e 's/-.\+//')

# Construct the library dependency entry for shlibs
#
shl1=lib$(P)	$(v1)	$(P) (>= $(v2))

# Build the binary components and assemble the libraries
# =====================================================================
build:
	$(checkdir)
	$(MAKE) MA_N=$(v1) MI_N=$(v2) CC=$(CC)
#	$(MAKE) MA_N=$(v1) MI_N=$(v2) $(P)-static
#	$(MAKE) MA_N=$(v1) MI_N=$(v2) $(P)-shared
	touch build

# Clean up after a build and before building a source package
#======================================================================
clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/*~ *~ *.orig ./#*# *.log debian/files \
	    debian/substvars

# No binary independent components to this package
#======================================================================
binary-indep:
#None:
	@echo >&2 'No independent packages'

# Install package components into debian/tmp to be built into packages
#======================================================================
binary binary-arch:		checkroot build

# First round...package slatec...........................................
#
# Clean out old tmp directory
#
	-rm -rf debian/tmp

# Create new directories in debian/tmp
#
	mkdir debian/tmp debian/tmp/DEBIAN

# Insert appropriate lines into shlibs file
#
	echo -e '$(shl1)\n' >debian/tmp/DEBIAN/shlibs

# Create additional installation directories
#
	$(INSTALL) -d debian/tmp/usr/doc/$(P)
#	install -d debian/tmp/usr/{info,lib}
	$(INSTALL) -d debian/tmp/usr/lib


# Install docs in proper directory and gzip them
#
	cp debian/changelog debian/tmp/usr/doc/$(P)/changelog.Debian
#	cp ChangeLog debian/tmp/usr/doc/$(P)/changelog
	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/doc/$(P)
	$(INSTALL) -m 644 readme debian/tmp/usr/doc/$(P)/README
	gzip -9v debian/tmp/usr/doc/$(P)/*

# but don't gzip the copyright statement
#
	cp debian/copyright debian/tmp/usr/doc/$(P)/copyright

# Install installation scripts
#
	cp debian/postinst debian/tmp/DEBIAN/.
	chmod +x debian/tmp/DEBIAN/postinst

# Install shared library
#
	strip --strip-unneeded lib$(P).so.$(v2)
	$(INSTALL) -m 644 lib$(P).so.$(v2) debian/tmp/usr/lib/.

# Create .so link
#
	ln -s lib$(P).so.$(v2) debian/tmp/usr/lib/lib$(P).so.$(v1)

# Create dependency information
#
	dpkg-shlibdeps ./lib$(P).so.$(v2)



# Generate control file for $(P)
#
	dpkg-gencontrol -p$(P) -isp

# Clean up file ownership
#
	chown -R root.root debian/tmp

# and permissions
#
	chmod -R g-ws debian/tmp

# and build the package
#
	dpkg --build debian/tmp ..	

# Second round...package slatec-dev......................................
#
# Clean out old tmp directory
#
	-rm -rf debian/tmp

# Create new directories in debian/tmp
#
	mkdir debian/tmp debian/tmp/DEBIAN

# Create additional installation directories
#
	$(INSTALL) -d debian/tmp/usr/doc/$(P2)
#	$(INSTALL) -d debian/tmp/usr/{include,lib}
	$(INSTALL) -d debian/tmp/usr/lib
#	$(INSTALL) -d debian/tmp/usr/include/$(P)

# Install docs in proper directory and gzip them
#
#	$(INSTALL) -m 644 readme install debian/tmp/usr/doc/$(P2)/.
	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/doc/$(P2)
	cp debian/changelog debian/tmp/usr/doc/$(P2)/changelog.Debian
#	cp ChangeLog debian/tmp/usr/doc/$(P2)/changelog

	# Install package docs
	$(INSTALL) -d debian/tmp/usr/doc/$(P2)/
	$(INSTALL) -m 644 install debian/tmp/usr/doc/$(P2)/INSTALL
	$(INSTALL) -m 644 readme debian/tmp/usr/doc/$(P2)/README
	$(INSTALL) -m 644 debian/BUGS.debian debian/tmp/usr/doc/$(P2)
	$(INSTALL) -m 644 doc/* debian/tmp/usr/doc/$(P2)/
	gzip -9fv debian/tmp/usr/doc/$(P2)/*

# but don't gzip the copyright statement
#
	cp debian/copyright debian/tmp/usr/doc/$(P2)/copyright

# Install test files
	$(INSTALL) -d  debian/tmp/usr/doc/$(P2)/tests
	$(INSTALL) -m 644 src/chk/*.f src/chk/Makefile src/chk/README.tests  debian/tmp/usr/doc/$(P2)/tests
	$(INSTALL) -m 755 src/chk/dotests debian/tmp/usr/doc/$(P2)/tests
	gzip -9vf debian/tmp/usr/doc/$(P2)/tests/*

# Install header files
#
#	$(INSTALL) -m 644 gmp.h mp.h debian/tmp/usr/include/$(P)/.
#	$(INSTALL) -m 644 mpn/generic/gmp-mparam.h debian/tmp/usr/include/$(P)/.

# Install static library
#
	strip --strip-debug lib$(P).a
	$(INSTALL) -m 644 lib$(P).a debian/tmp/usr/lib/.

# Create .so link
#
	ln -s lib$(P).so.$(v2) debian/tmp/usr/lib/lib$(P).so

# Generate control file for slatec-dev
#
	dpkg-gencontrol -p$(P2) -isp

# Clean up file ownership
#
	chown -R root.root debian/tmp

# and permissions
#
	chmod -R g-ws debian/tmp

# and build the package
#
	dpkg --build debian/tmp ..	



define checkdir
	test -f src/machine/i1mach.c
endef

# Below here is fairly generic really
checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## slatec 4.1-4

=== Makefile ===

# looks like src/err is not needed 
# its already included in src/slatec

CC = cc

F77 = g77

OPT = -O3 -g

PICOPT = -fPIC

AR = ar r

all:
	make clean
	make slatec-static
	make clean
	make slatec-shared


all-check: all check

check:
	cd src/chk; make static

checkobj: 
	cd src/chk; make OCFLAGS="$(OPT)" OFFLAGS="$(OPT)" CC="$(CC)" F77="$(F77)"

piccheckobj:
	cd src/chk; make OFFLAGS="$(OPT) $(PICOPT)" CC=$(CC) F77=$(F77)


allobj:  fishfftobj fnlibobj linobj pchipobj slatecobj machobj \
		checkobj


allpicobj:   picfishfftobj picfnlibobj piclinobj picpchipobj picslatecobj picmachobj \
		piccheckobj


#errobj:
#	cd src/err; make OFFLAGS=$(OPT) CC=$(CC) F77=$(F77)

#picerrobj:
#	cd src/err; make OFFLAGS="$(OPT) $(PICOPT)" CC=$(CC) F77=$(F77)

machobj:
	cd src/machine; make OCFLAGS="$(OPT)" OFFLAGS="$(OPT)" CC="$(CC)" F77="$(F77)"

picmachobj:
	cd src/machine; make OCFLAGS="$(OPT) $(PICOPT)" OFFLAGS="$(OPT) $(PICOPT)" CC=$(CC) F77=$(F77)



fishfftobj:
	cd src/fishfft; make OFFLAGS="$(OPT)" CC="$(CC)" F77="$(F77)"

picfishfftobj:
	cd src/fishfft; make OFFLAGS="$(OPT) $(PICOPT)" CC=$(CC) F77=$(F77)

fnlibobj:
	cd src/fnlib; make OFFLAGS="$(OPT)" CC="$(CC)" F77="$(F77)"

picfnlibobj:
	cd src/fnlib; make OFFLAGS="$(OPT) $(PICOPT)" CC=$(CC) F77=$(F77)

linobj:
	cd src/lin; make OFFLAGS="$(OPT)" CC="$(CC)" F77="$(F77)"

piclinobj:
	cd src/lin; make OFFLAGS="$(OPT) $(PICOPT)" CC=$(CC) F77=$(F77)

pchipobj:
	cd src/pchip; make OFFLAGS="$(OPT)" CC="$(CC)" F77="$(F77)"

picpchipobj:
	cd src/pchip; make OFFLAGS="$(OPT) $(PICOPT)" CC=$(CC) F77=$(F77)

slatecobj:
	cd src/slatec; make OFFLAGS="$(OPT)" CC="$(CC)" F77="$(F77)"

picslatecobj:
	cd src/slatec; make OFFLAGS="$(OPT) $(PICOPT)" CC=$(CC) F77=$(F77)


slatec-static : allobj
	rm -f libslatec.a
#	$(AR) libslatec.a src/err/*.o  do not include this line
#	$(AR) libslatec.a src/fishfft/*.o
#	$(AR) libslatec.a src/fnlib/*.o
#	$(AR) libslatec.a src/machine/*.o
#	$(AR) libslatec.a src/lin/*.o
#	$(AR) libslatec.a src/pchip/*.o
#	$(AR) libslatec.a src/slatec/*.o
	$(AR) libslatec.a src/slatec/*.o src/fishfft/*.o src/fnlib/*.o \
		src/machine/*.o src/lin/*.o src/pchip/*.o src/chk/*.o
	ranlib libslatec.a

slatec-shared : allpicobj
	-rm -r libslatec.so
	ld --shared -o libslatec.so.$(MI_N)  \
	  src/fishfft/*.o src/fnlib/*.o src/lin/*.o  src/machine/*.o \
	  src/pchip/*.o src/slatec/*.o src/chk/*.o -soname libslatec.so.$(MA_N) -lc

clean:
	cd src/chk; make clean
#	cd src/err; make clean
	cd src/machine; make clean
	cd src/fishfft; make clean
	cd src/fnlib; make clean
	cd src/lin; make clean
	cd src/pchip; make clean
	cd src/slatec; make clean

distclean: clean
	rm -rf *.a *.so*

=== src/chk/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<

# 
#   These are main programs, not routines
# test54.o test53.o test52.o test51.o test50.o test49.o test48.o test47.o test46.o   \
# test45.o test44.o test43.o test42.o test41.o test40.o test39.o test38.o test37.o test36.o   \
# test35.o test34.o test33.o test32.o test31.o test30.o test29.o test28.o test27.o test26.o   \
# test25.o test24.o test23.o test22.o   \
# test21.o test20.o test19.o test18.o test17.o test16.o test15.o test14.o test13.o   \
# test12.o test11.o test10.o test09.o test08.o test07.o test06.o test05.o test04.o   \
# test03.o test02.o test01.o 
#

CHKOBJS = zqcby.o zqcbk.o zqcbj.o zqcbi.o zqcbh.o zqcai.o xcsrt.o vfill.o uvec.o uivp.o  \
 t5.o t4.o t3.o t2.o t1.o t0.o stest.o ssrtqc.o srmgen.o   \
 sqjac2.o sqfcn2.o sqck.o splpqx.o sosnqx.o sosfnc.o snsqqk.o snls1q.o smvch.o smmch.o   \
 smake3.o smake2.o slapqc.o sgeqc.o sfnck.o sdres2.o sdres1.o sdqck.o sdjac2.o   \
 sdjac1.o sdf.o sdasqc.o schke3.o schke2.o schk62.o schk53.o schk52.o schk43.o schk42.o   \
 schk33.o schk32.o schk23.o schk22.o schk13.o schk12.o sbocqx.o sblat3.o sblat2.o sbeg.o   \
 rqrtst.o qxssp.o qxrkf.o qxplr.o qxgbun.o qxdrkf.o qxdbvs.o qxdbdf.o qxdabm.o qxcyl.o   \
 qxcsp.o qxcrt.o qxbvsp.o qxblkt.o qxbdf.o qxabm.o qn79qx.o qg8tst.o qcrj.o qcrf.o qcrd.o   \
 qcrc.o qcpsi.o qckin.o qcglss.o qcdrj.o qcdrf.o qcdrd.o qcdrc.o qc6a.o qc36j.o pntchk.o   \
 pfitqx.o pchqk5.o pchqk4.o pchqk3.o pchqk2.o pchqk1.o pass.o outerr.o lseres.o lseiqx.o   \
 lse.o lderes.o lde.o lceres.o lce.o jac.o itest.o isrtqc.o ismpl.o hsrtqc.o header.o   \
 gvec.o fztest.o fqd2.o fqd1.o fmat.o fftqx.o fein.o fdtrue.o fdeqc.o fcqx.o fcnqx2.o   \
 fcnqx1.o fcn3.o fcn2.o fcn1.o fb.o f5s.o f4s.o f4p.o f3s.o f3p.o f3g.o f2s.o f2p.o f2o.o   \
 f2n.o f2g.o f1ws.o f1s.o f1p.o f1o.o f1n.o f1g.o f1f.o f1c.o f0ws.o f0s.o f0o.o f0f.o   \
 f0c.o evpcck.o everck.o evchck.o eisqx2.o eisqx1.o eg8ck.o edit2.o dxcsrt.o duvec.o   \
 duterr.o duivp.o dtest.o dt5.o dt4.o dt3.o dt2.o dt1.o dt0.o dsrtqc.o dsosqx.o dsosfn.o   \
 drmgen.o dqn79q.o dqjac2.o dqg8ts.o dqfcn2.o dqcpsi.o dqckin.o dqck.o dqcgls.o dqc36j.o    \
 dprin.o dpntck.o dplpqx.o dpfitt.o dpchq5.o dpchq4.o dpchq3.o dpchq2.o dpchq1.o dnsqqk.o   \
 dnls1q.o dmvch.o dmmch.o dmake3.o dmake2.o dlseit.o dlapqc.o djac.o dgvec.o dgeqc.o   \
 dfztst.o dfqd2.o dfqd1.o dfnck.o dfmat.o dfill.o dfein.o dfdtru.o dfdeqc.o dfcqx.o dfcn3.o   \
 dfcn2.o dfcn1.o dfb.o df5s.o df4s.o df4p.o df3s.o df3p.o df3g.o df2s.o df2p.o df2o.o   \
 df2n.o df2g.o df1ws.o df1s.o df1p.o df1o.o df1n.o df1g.o df1f.o df1c.o df0ws.o df0s.o   \
 df0o.o df0f.o df0c.o devpck.o deverk.o devchk.o deg8ck.o dedit2.o ddres2.o ddres1.o   \
 ddqck.o ddjac2.o ddjac1.o ddf.o ddasqc.o dcmpar.o dchke3.o dchke2.o dchk62.o dchk53.o   \
 dchk52.o dchk43.o dchk42.o dchk33.o dchk32.o dchk23.o dchk22.o dchk13.o dchk12.o dbspck.o   \
 dbocqx.o dblat3.o dblat2.o dbjyck.o dbikck.o dbeg.o davnts.o ctrqc.o csvqc.o cspqc.o   \
 csiqc.o cqrtst.o cqrqc.o cqng.o cqck.o cqcby.o cqcbk.o cqcbj.o cqcbi.o cqcbh.o cqcai.o   \
 cqaws.o cqawo.o cqawf.o cqawc.o cqags.o cqagp.o cqagi.o cqag.o cptqc.o cprpqx.o   \
 cprin.o cppqc.o cpoqc.o cpbqc.o comp.o cmvch.o cmpare.o cmmch.o cmake3.o cmake2.o   \
 chpqc.o chkxer.o chiqc.o check2.o check1.o check0.o cgtqc.o cgeqc.o cgeck.o cgbqc.o   \
 cfnck.o cdqng.o cdqck.o cdqaws.o cdqawo.o cdqawf.o cdqawc.o cdqags.o cdqagp.o cdqagi.o   \
 cdqag.o cdf.o cchqc.o cchke3.o cchke2.o cchk62.o cchk53.o cchk52.o cchk43.o cchk42.o   \
 cchk33.o cchk32.o cchk23.o cchk22.o cchk13.o cchk12.o cblat3.o cblat2.o cbeg.o   \
 bspck.o blachk.o bjyck.o bikck.o avntst.o 

objs:  $(CHKOBJS)

static:	$(CHKOBJS)
	-rm -f libcheck.a
	ar ru libcheck.a 	$(CHKOBJS)
	ranlib libcheck.a


shared: $(CHKOBJS)
	ld -shared -o libcheck.so $(CHKOBJS) -lc

clean:	
	-rm -f *.o *.so *.a

=== src/err/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<


ERROBJS = xsetun.o xsetua.o xsetf.o xgetun.o xgetua.o \
  xgetf.o xermax.o xerdmp.o xerclr.o j4save.o fdump.o 


objs:  $(ERROBJS)

all:	static shared

static:	$(ERROBJS)
	ar ru liberr.a 	$(ERROBJS)
	ranlib liberr.a

shared: $(ERROBJS)
	ld -shared -o liberr.so $(ERROBJS) -lc


clean:	
	-rm -f *.o *.so *.a

=== src/fishfft/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<


FISHFFTOBJS = sinti.o sint.o sinqi.o sinqf.o sinqb.o \
 sepx4.o sepeli.o rffti1.o rffti.o rfftf1.o rfftf.o rfftb1.o  \
 rfftb.o radfg.o radf5.o radf4.o radf3.o radf2.o radbg.o  \
 radb5.o radb4.o radb3.o radb2.o poistg.o pois3d.o passf5.o  \
 passf4.o passf3.o passf2.o passf.o passb5.o passb4.o  \
 passb3.o passb2.o passb.o hwsssp.o hwsplr.o hwscyl.o hwscsp.o  \
 hwscrt.o hw3crt.o hstssp.o hstplr.o hstcyl.o hstcsp.o hstcrt.o  \
 genbun.o ezffti.o ezfftf.o ezfftb.o ezfft1.o costi.o cost.o  \
 cosqi.o cosqf1.o cosqf.o cosqb1.o cosqb.o cmgnbn.o cffti1.o  \
 cffti.o cfftf1.o cfftf.o cfftb1.o cfftb.o cblktr.o blktri.o  \

objs:  $(FISHFFTOBJS)

all:	static shared

static:	$(FISHFFTOBJS)
	ar ru libfishfft.a 	$(FISHFFTOBJS)
	ranlib libfishfft.a

shared: $(FISHFFTOBJS)
	ld -shared -o libfishfft.so $(FISHFFTOBJS) -lc

clean:	
	-rm -f *.o *.so *.a

=== src/fnlib/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<


FNLIBOBJS = spenc.o sindg.o runif.o rgauss.o rand.o r9upak.o   \
 r9pak.o r9ln2r.o r9lgmc.o r9lgit.o r9lgic.o r9knus.o r9gmit.o   \
 r9gmic.o r9chu.o r9atn1.o r9aimp.o psi.o poch1.o poch.o   \
 inits.o initds.o gamr.o gamma.o gamlim.o gamit.o gamic.o    \
 gami.o fac.o exprel.o erfc.o erf.o ei.o e1.o dspenc.o dsindg.o    \
 dpsi.o dpoch1.o dpoch.o dlnrel.o dlngam.o dli.o dlgams.o dlbeta.o    \
 dgamr.o dgamma.o dgamlm.o dgamit.o dgamic.o dgami.o dfac.o    \
 dexprl.o derfc.o derf.o dei.o de1.o ddaws.o dcsevl.o dcot.o    \
 dcosdg.o bi.o dchu.o dcbrt.o dbskes.o dbsk1e.o dbsk0e.o dbsi1e.o    \
 dbsi0e.o dbinom.o dbie.o dbi.o dbetai.o dbeta.o dbesy1.o dbesy0.o    \
 dbesks.o dbesk1.o dbesk0.o dbesj1.o dbesj0.o dbesi1.o dbesi0.o daws.o    \
 datanh.o dasinh.o daie.o dai.o dacosh.o d9upak.o d9pak.o d9ln2r.o    \
 d9lgmc.o d9lgit.o d9lgic.o d9knus.o d9gmit.o d9gmic.o d9chu.o   \
  d9b1mp.o d9b0mp.o d9atn1.o d9aimp.o ctanh.o ctan.o csinh.o csevl.o   \
  cpsi.o cot.o cosdg.o clog10.o clnrel.o clngam.o clbeta.o chu.o cgamr.o   \
  cgamma.o cexprl.o ccot.o ccosh.o ccbrt.o cbrt.o cbeta.o catanh.o    \
 catan2.o catan.o casinh.o casin.o carg.o cacosh.o cacos.o c9ln2r.o    \
 c9lgmc.o c0lgmc.o binom.o bie.o betai.o beta.o besy1.o besy0.o besks.o   \
  beskes.o besk1e.o besk1.o besk0e.o besk0.o besj1.o besj0.o besi1e.o   \
  besi1.o besi0e.o besi0.o atanh.o asinh.o alnrel.o alngam.o ali.o    \
 algams.o albeta.o aie.o ai.o acosh.o 

objs:  $(FNLIBOBJS)

static:	$(FNLIBOBJS)
	ar ru libfnlib.a 	$(FNLIBOBJS)

shared: $(FNLIBOBJS)
	ld -shared libfnlib.so $(FNLIBOBJS) -lc

clean:	
	-rm -f *.o *.so *.a

=== src/lin/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<


LINOBJS = tsturm.o tridib.o tred3.o tred2.o tred1.o trbak3.o trbak1.o tqlrat.o \
 tql2.o tql1.o tinvit.o sxlcal.o strsv.o strsm.o strsl.o strmv.o strmm.o strdi.o \
 strco.o stpsv.o stpmv.o stout.o stin.o stbsv.o stbmv.o ssyrk.o ssyr2k.o \
 ssyr2.o ssyr.o ssymv.o ssymm.o sswap.o ssvdc.o sspsl.o sspr2.o sspr.o sspmv.o  \
 sspfa.o sspev.o sspdi.o sspco.o ssmv.o ssmtv.o ssmmti.o ssmmi2.o ssluti.o  \
 ssluom.o sslui4.o sslui2.o sslui.o sslugm.o sslucs.o sslucn.o sslubc.o ssllti.o  \
 ssli2.o ssli.o ssjac.o ssisl.o ssilus.o ssilur.o ssifa.o ssidi.o ssics.o ssico.o  \
 ssiccg.o ssgs.o ssdscl.o ssds.o ssdomn.o ssdi.o ssdgmr.o ssdcgs.o ssdcgn.o  \
 ssdcg.o ssdbcg.o ssd2s.o sscal.o ssbmv.o ss2y.o ss2lt.o srotmg.o srotm.o  \
 srotg.o srot.o srlcal.o sqrsl.o sqrdc.o sptsl.o sppsl.o sppfa.o sppdi.o sppco.o  \
 sposl.o spofa.o spodi.o spoco.o spigmr.o spbsl.o spbfa.o spbdi.o spbco.o  \
 sorth.o somn.o snrm2.o slpdoc.o sllti2.o sir.o sheqr.o shels.o sgtsl.o  \
 sgmres.o sgesl.o sger.o sgemv.o sgemm.o sgefa.o sgedi.o sgeco.o sgbsl.o sgbmv.o  \
 sgbfa.o sgbdi.o sgbco.o sdsdot.o sdot.o scpplt.o scopym.o scopy.o scnrm2.o  \
 schud.o schkw.o schex.o schdd.o schdc.o scgs.o scgn.o scg.o scasum.o sbhin.o  \
 sbcg.o saxpy.o sasum.o rt.o rst.o rsp.o rsgba.o rsgab.o rsg.o rsb.o rs.o rgg.o  \
 rg.o reduc2.o reduc.o rebakb.o rebak.o ratqr.o qzvec.o qzval.o qzit.o qzhes.o  \
 qs2i1r.o qs2i1d.o ortran.o orthes.o ortbak.o minfit.o iswap.o issomn.o issir.o  \
 issgmr.o isscgs.o isscgn.o isscg.o issbcg.o isdomn.o isdir.o isdgmr.o isdcgs.o  \
 isdcgn.o isdcg.o isdbcg.o isamax.o invit.o imtqlv.o imtql2.o imtql1.o idamax.o  \
 icopy.o icamax.o htridi.o htrid3.o htribk.o htrib3.o hqr2.o hqr.o figi2.o  \
 figi.o eltran.o elmhes.o elmbak.o eisdoc.o dxlcal.o dtrsv.o dtrsm.o dtrsl.o  \
 dtrmv.o dtrmm.o dtrdi.o dtrco.o dtpsv.o dtpmv.o dtout.o dtin.o dtbsv.o dtbmv.o  \
 dsyrk.o dsyr2k.o dsyr2.o dsyr.o dsymv.o dsymm.o dswap.o dsvdc.o dspsl.o dspr2.o  \
 dspr.o dspmv.o dspfa.o dspdi.o dspco.o dsmv.o dsmtv.o dsmmti.o dsmmi2.o  \
 dsluti.o dsluom.o dslui4.o dslui2.o dslui.o dslugm.o dslucs.o dslucn.o dslubc.o  \
 dsllti.o dsli2.o dsli.o dsjac.o dsisl.o dsilus.o dsilur.o dsifa.o dsidi.o  \
 dsics.o dsico.o dsiccg.o dsgs.o dsdscl.o dsds.o dsdot.o dsdomn.o dsdi.o  \
 dsdgmr.o dsdcgs.o dsdcgn.o dsdcg.o dsdbcg.o dsd2s.o dscal.o dsbmv.o ds2y.o  \
 ds2lt.o drotmg.o drotm.o drotg.o drot.o drlcal.o dqrsl.o dqrdc.o dptsl.o  \
 dppsl.o dppfa.o dppdi.o dppco.o dposl.o dpofa.o dpodi.o dpoco.o dpigmr.o  \
 dpbsl.o dpbfa.o dpbdi.o dpbco.o dorth.o domn.o dnrm2.o dlpdoc.o dllti2.o dir.o  \
 dheqr.o dhels.o dgtsl.o dgmres.o dgesl.o dger.o dgemv.o dgemm.o dgefa.o  \
 dgedi.o dgeco.o dgbsl.o dgbmv.o dgbfa.o dgbdi.o dgbco.o ddot.o dcpplt.o  \
 dcopym.o dcopy.o dchud.o dchkw.o dchex.o dchdd.o dchdc.o dcgs.o dcgn.o dcg.o  \
 dcdot.o dbhin.o dbcg.o daxpy.o dasum.o ctrsv.o ctrsm.o ctrsl.o ctrmv.o ctrmm.o  \
 ctrdi.o ctrco.o ctpsv.o ctpmv.o ctbsv.o ctbmv.o csyrk.o csyr2k.o csymm.o  \
 cswap.o csvdc.o csscal.o csrot.o cspsl.o cspfa.o cspdi.o cspco.o csisl.o  \
 csifa.o csidi.o csico.o cscal.o crotg.o cqrsl.o cqrdc.o cptsl.o cppsl.o  \
 cppfa.o cppdi.o cppco.o cposl.o cpofa.o cpodi.o cpoco.o cpbsl.o cpbfa.o  \
 cpbdi.o cpbco.o corth.o cortb.o comqr2.o comqr.o comlr2.o comlr.o comhes.o  \
 combak.o cinvit.o chpsl.o chpr2.o chpr.o chpmv.o chpfa.o chpdi.o chpco.o  \
 chisl.o chifa.o chidi.o chico.o cherk.o cher2k.o cher2.o cher.o chemv.o  \
 chemm.o chbmv.o ch.o cgtsl.o cgesl.o cgeru.o cgerc.o cgemv.o cgemm.o  \
 cgefa.o cgedi.o cgeco.o cgbsl.o cgbmv.o cgbfa.o cgbdi.o cgbco.o cg.o cdotu.o  \
 cdotc.o cdcdot.o ccopy.o cchud.o cchex.o cchdd.o cchdc.o cbal.o cbabk2.o  \
 caxpy.o bqr.o bisect.o bandv.o bandr.o balbak.o balanc.o bakvec.o 

objs:  $(LINOBJS)

static:	$(LINOBJS)
	ar ru liblin.a 	$(LINOBJS)

shared: $(LINOBJS)
	ld -shared liblin.so $(LINOBJS) -lc


clean:	
	-rm -f *.o *.so *.a

=== src/slatec/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<


SSLATECOBJS = zwrsk.o zuoik.o zunk2.o zunk1.o zunik.o zuni2.o zuni1.o   \
 zunhj.o zuchk.o zsqrt.o zshch.o zseri.o zs1s2.o zrati.o zmlt.o     \
  zmlri.o zlog.o zkscl.o zexp.o zdiv.o zbunk.o zbuni.o zbknu.o   \
 zbiry.o zbinu.o zbesy.o zbesk.o zbesj.o zbesi.o zbesh.o    \
 zasyi.o zairy.o zacon.o zacai.o zabs.o yairy.o xsetun.o    \
 xsetua.o xsetf.o xset.o xred.o xqnu.o xqmu.o xpsi.o xpqnu.o    \
 xpnrm.o xpmup.o xpmu.o xnrmp.o xlegf.o xgetun.o xgetua.o    \
 xgetf.o xersve.o xerprn.o xermsg.o xermax.o     \
 xerdmp.o xercnt.o xerclr.o xerbla.o xcon.o xc210.o xadj.o   \
 xadd.o wnnls.o wnlt3.o wnlt2.o wnlt1.o wnlsm.o wnlit.o    \
 vnwrms.o usrmat.o ulsia.o u12us.o u12ls.o u11us.o u11ls.o    \
 trix.o trisp.o tris4.o tridq.o tri3.o tevls.o tevlc.o    \
 swritp.o svout.o svecs.o svd.o svco.o suds.o stway.o    \
 stor1.o stod.o steps.o ssort.o ssiev.o sreadp.o spsort.o   \
 spperm.o spopt.o spoir.o spofs.o splpup.o splpmu.o    \
 splpmn.o splpfl.o splpfe.o splpdm.o splpce.o splp.o spinit.o    \
 spincw.o spelip.o speli4.o sossol.o soseqs.o sos.o    \
 sopenm.o sods.o snsqe.o snsq.o snls1e.o snls1.o snbsl.o   \
 snbir.o snbfs.o snbfa.o snbdi.o snbco.o smout.o slvs.o    \
 sintrp.o sglss.o sgeir.o sgefs.o sgeev.o sdzro.o sdstp.o    \
 sdscl.o sdriv3.o sdriv2.o sdriv1.o sdpst.o sdpsc.o sdntp.o    \
 sdntl.o sdcst.o sdcor.o sdawts.o sdatrp.o sdastp.o sdassl.o   \
 sdaslv.o sdanrm.o sdajac.o sdaini.o scov.o scoef.o    \
 sclosm.o sbolsm.o sbols.o sbocls.o s1merg.o rwupdt.o    \
 rsco.o rpzero.o rpqr79.o rkfab.o rj.o rf.o reort.o rd.o   \
   rc6j.o rc3jm.o rc3jj.o rc.o r1updt.o r1mpyq.o     \
 qwgts.o qwgtf.o qwgtc.o qrsolv.o qrfac.o qpsrt.o qpdoc.o    \
 qng.o qnc79.o qmomo.o qk61.o qk51.o qk41.o qk31.o qk21.o    \
 qk15w.o qk15i.o qk15.o qform.o qelg.o qcheb.o qc25s.o    \
 qc25f.o qc25c.o qawse.o qaws.o qawoe.o qawo.o qawfe.o qawf.o    \
 qawce.o qawc.o qagse.o qags.o qagpe.o qagp.o qagie.o qagi.o    \
 qage.o qag.o pythag.o pvalue.o psixn.o psifn.o psgf.o prwvir.o    \
 prwpge.o prvec.o prodp.o prod.o procp.o proc.o ppval.o ppspf.o    \
 ppsgf.o ppqad.o pppsf.o ppgsf.o ppgq8.o ppadd.o postg2.o    \
 pos3d1.o polyvl.o polint.o polfit.o polcof.o poisp2.o poisn2.o    \
 poisd2.o pnnzrs.o pjac.o pinitm.o pimach.o pgsf.o pfqad.o    \
 pcoef.o pchngs.o orthor.o orthol.o orthog.o ortho4.o ohtror.o   \
  ohtrol.o numxer.o mpunfl.o mpstr.o mpovfl.o mpnzr.o mpmuli.o   \
  mpmul2.o mpmul.o mpmlp.o mpmaxr.o mperr.o mpdivi.o mpcmd.o mpchk.o   \
  mpcdm.o mpblas.o mpadd3.o mpadd2.o mpadd.o minsol.o minso4.o    \
 mgsbv.o mc20as.o mc20ad.o macon.o lssuds.o lssods.o lsod.o lsi.o    \
 lsei.o lsame.o lpdp.o lmpar.o llsia.o la05es.o la05ed.o la05cs.o   \
  la05cd.o la05bs.o la05bd.o la05as.o la05ad.o jairy.o   \
  j4save.o ivout.o isort.o ipsort.o ipperm.o iploc.o inxcc.o   \
 inxcb.o inxca.o intyd.o intrv.o indxc.o indxb.o indxa.o   \
 idloc.o i1merg.o  hwsss1.o hwscs1.o hvnrm.o hstcs1.o   \
 hstart.o hpsort.o hpperm.o hkseq.o hfti.o h12.o gaus8.o   \
 gamrn.o gamln.o fzero.o fundoc.o fulmat.o fftdoc.o    \
 fdjac3.o fdjac1.o fcmn.o fc.o exint.o exbvp.o enorm.o efcmn.o   \
 efc.o dyairy.o dy4.o dy.o dxset.o dxred.o dxqnu.o dxqmu.o   \
 dxpsi.o dxpqnu.o dxpnrm.o dxpmup.o dxpmu.o dxnrmp.o dxlegf.o   \
 dxcon.o dxc210.o dxadj.o dxadd.o dx4.o dx.o dwupdt.o dwritp.o   \
 dwnnls.o dwnlt3.o dwnlt2.o dwnlt1.o dwnlsm.o dwnlit.o   \
 dvout.o dvnrms.o dvecs.o dusrmt.o dulsia.o du12us.o du12ls.o   \
 du11us.o du11ls.o dsvco.o dsuds.o dstway.o dstor1.o   \
 dstod.o dsteps.o dsplp.o dsossl.o dsoseq.o dsos.o dsort.o   \
 dslvs.o drsco.o drkfs.o drkfab.o drj.o drf.o dreort.o   \
 dreadp.o drd.o drc6j.o drc3jm.o drc3jj.o drc.o dqwgts.o   \
 dqwgtf.o dqwgtc.o dqrslv.o dqrfac.o dqpsrt.o dqng.o dqnc79.o   \
 dqmomo.o dqk61.o dqk51.o dqk41.o dqk31.o dqk21.o dqk15w.o   \
 dqk15i.o dqk15.o dqform.o dqelg.o dqdoti.o dqdota.o dqcheb.o   \
 dqc25s.o dqc25f.o dqc25c.o dqawse.o dqaws.o dqawoe.o dqawo.o   \
 dqawfe.o dqawf.o dqawce.o dqawc.o dqagse.o dqags.o dqagpe.o   \
 dqagp.o dqagie.o dqagi.o dqage.o dqag.o dpsort.o dpsixn.o   \
 dpsifn.o dprwvr.o dprwpg.o dprvec.o dppval.o dppqad.o dppgq8.o   \
 dpperm.o dpopt.o dpolvl.o dpolft.o dpolcf.o dpofs.o dpnnzr.o   \
 dplpup.o dplpmu.o dplpmn.o dplpfl.o dplpfe.o dplpdm.o dplpce.o   \
 dplint.o dpjac.o dpintm.o dpinit.o dpincw.o dpfqad.o dpcoef.o   \
 dpchng.o dp1vlu.o dorthr.o dohtrl.o dogleg.o dnsqe.o dnsq.o   \
 dnls1e.o dnls1.o dnbsl.o dnbfs.o dnbfa.o dnbdi.o dnbco.o   \
 dmpar.o dmout.o dmgsbv.o dmacon.o dlssud.o dlsod.o dlsi.o   \
 dlsei.o dlpdp.o dllsia.o djairy.o dintyd.o dintrv.o dintp.o   \
 dhvnrm.o dhstrt.o dhkseq.o dhfti.o dh12.o dglss.o dgefs.o   \
 dgaus8.o dgamrn.o dgamln.o dfzero.o dfulmt.o dfspvn.o dfspvd.o   \
 dfehl.o dfdjc3.o dfdjc1.o dfcmn.o dfc.o dexint.o dexbvp.o   \
 des.o derkfs.o derkf.o denorm.o defer.o defehl.o defe4.o   \
 defcmn.o defc.o debdf.o deabm.o ddzro.o ddstp.o ddscl.o ddriv3.o   \
 ddriv2.o ddriv1.o ddpst.o ddpsc.o ddoglg.o ddntp.o ddntl.o   \
 ddes.o dderkf.o ddebdf.o ddeabm.o ddcst.o ddcor.o ddawts.o   \
 ddatrp.o ddastp.o ddassl.o ddaslv.o ddanrm.o ddajac.o ddaini.o   \
 dcv.o dcscal.o dcov.o dcoef.o dckder.o dcfod.o dbvsup.o   \
 dbvpor.o dbvder.o dbvalu.o dbsynu.o dbsqad.o dbspvn.o dbspvd.o   \
 dbsppp.o dbspev.o dbspdr.o dbsknu.o dbskin.o dbsgq8.o   \
 dbolsm.o dbols.o dbocls.o dbnslv.o dbnfac.o dbndsl.o dbndac.o   \
 dbksol.o dbkisr.o dbkias.o dbintk.o dbint4.o dbfqad.o dbesy.o    \
 dbesk.o dbesj.o dbesi.o dbdiff.o davint.o dasyjy.o dasyik.o d1updt.o    \
 d1mpyq.o d1merg.o  cwrsk.o cv.o cuoik.o cunk2.o cunk1.o   \
 cunik.o cuni2.o cuni1.o cunhj.o cuchk.o csroot.o cshch.o cseri.o   \
 cscale.o cs1s2.o crati.o cpzero.o cprodp.o cprod.o cprocp.o    \
 cproc.o cpqr79.o cpoir.o cpofs.o cpevlr.o cpevl.o cpadd.o cosgen.o    \
 compb.o cnbsl.o cnbir.o cnbfs.o cnbfa.o cnbdi.o cnbco.o cmptrx.o    \
 cmptr3.o cmposp.o cmposn.o cmposd.o cmpcsg.o cmlri.o ckscl.o   \
 chksng.o chksn4.o chkprm.o chkpr4.o chkder.o chiev.o cgeir.o    \
 cgefs.o cgeev.o cfod.o cdzro.o cdstp.o cdscl.o cdriv3.o cdriv2.o   \
 cdriv1.o cdpst.o cdpsc.o cdntp.o cdntl.o cdiv.o cdcst.o cdcor.o   \
 ccmpb.o cbunk.o cbuni.o cblkt1.o cbknu.o cbiry.o cbinu.o cbesy.o    \
 cbesk.o cbesj.o cbesi.o cbesh.o casyi.o cairy.o cacon.o cacai.o    \
 c1merg.o bvsup.o bvpor.o bvder.o bvalu.o bsrh.o bsqad.o bspvn.o bspvd.o    \
 bsppp.o bsplvn.o bsplvd.o bspev.o bspdr.o bspdoc.o bskin.o bsgq8.o   \
  bnslv.o bnfac.o bndsol.o bndacc.o blktr1.o bksol.o bkisr.o    \
 bkias.o bintk.o bint4.o bfqad.o besynu.o besy.o besknu.o besk.o   \
 besj.o besi.o bdiff.o bcrh.o avint.o asyjy.o asyik.o aaaaaa.o 


objs:  $(SSLATECOBJS)

static:	$(SSLATECOBJS)
	ar ru libsslatec.a 	$(SSLATECOBJS)

shared: $(SSLATECOBJS)
	ld -shared libsslatec.so $(SSLATECOBJS) -lc

clean:	
	-rm -f *.o *.so *.a

=== debian/changelog ===
slatec (4.1-4) unstable; urgency=low

  * added Depends: g77, closes: #72355

 -- Torsten Werner <twerner@debian.org>  Mon, 26 Feb 2001 13:08:12 +0100

slatec (4.1-3) unstable; urgency=low

  * new maintainer
  * /usr/doc -> /usr/share/doc
  * updated Standards-Version

 -- Torsten Werner <twerner@debian.org>  Mon,  5 Feb 2001 13:08:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: slatec
 Section: libs
 Priority: extra
-Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
-Standards-Version: 2.4.1.2
+Maintainer: Torsten Werner <twerner@debian.org>
+Standards-Version: 3.1.1
+Build-Depends: g77
 
 Package: slatec
 Section: libs
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: g77, ${shlibs:Depends}
 Description: numerical computation library
  slatec is a fortran library of over 1400 routines 
  for numerical tasks.  Some of the subjects covered

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 P=slatec
 P2=slatec-dev
 INSTALL = /usr/bin/install
-CC := $(shell if [ -x /usr/bin/egcc ]; then echo egcc; else echo cc; fi)
+#CC := $(shell if [ -x /usr/bin/egcc ]; then echo egcc; else echo cc; fi)
 
 # Create the two so version strings for the symbolic link names
 #
@@ -71,27 +71,28 @@
 
 # Create additional installation directories
 #
-	$(INSTALL) -d debian/tmp/usr/doc/$(P)
+	$(INSTALL) -d debian/tmp/usr/share/doc/$(P)
 #	install -d debian/tmp/usr/{info,lib}
 	$(INSTALL) -d debian/tmp/usr/lib
 
 
 # Install docs in proper directory and gzip them
 #
-	cp debian/changelog debian/tmp/usr/doc/$(P)/changelog.Debian
-#	cp ChangeLog debian/tmp/usr/doc/$(P)/changelog
-	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/doc/$(P)
-	$(INSTALL) -m 644 readme debian/tmp/usr/doc/$(P)/README
-	gzip -9v debian/tmp/usr/doc/$(P)/*
+	cp debian/changelog debian/tmp/usr/share/doc/$(P)/changelog.Debian
+#	cp ChangeLog debian/tmp/usr/share/doc/$(P)/changelog
+	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/share/doc/$(P)
+	$(INSTALL) -m 644 readme debian/tmp/usr/share/doc/$(P)/README
+	gzip -9v debian/tmp/usr/share/doc/$(P)/*
 
 # but don't gzip the copyright statement
 #
-	cp debian/copyright debian/tmp/usr/doc/$(P)/copyright
+	cp debian/copyright debian/tmp/usr/share/doc/$(P)/copyright
 
 # Install installation scripts
 #
-	cp debian/postinst debian/tmp/DEBIAN/.
-	chmod +x debian/tmp/DEBIAN/postinst
+	cp debian/postinst.slatec debian/tmp/DEBIAN/postinst
+	cp debian/prerm.slatec debian/tmp/DEBIAN/prerm
+	chmod +x debian/tmp/DEBIAN/postinst debian/tmp/DEBIAN/prerm
 
 # Install shared library
 #
@@ -136,35 +137,40 @@
 
 # Create additional installation directories
 #
-	$(INSTALL) -d debian/tmp/usr/doc/$(P2)
+	$(INSTALL) -d debian/tmp/usr/share/doc/$(P2)
 #	$(INSTALL) -d debian/tmp/usr/{include,lib}
 	$(INSTALL) -d debian/tmp/usr/lib
 #	$(INSTALL) -d debian/tmp/usr/include/$(P)
 
 # Install docs in proper directory and gzip them
 #
-#	$(INSTALL) -m 644 readme install debian/tmp/usr/doc/$(P2)/.
-	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/doc/$(P2)
-	cp debian/changelog debian/tmp/usr/doc/$(P2)/changelog.Debian
-#	cp ChangeLog debian/tmp/usr/doc/$(P2)/changelog
+#	$(INSTALL) -m 644 readme install debian/tmp/usr/share/doc/$(P2)/.
+	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/share/doc/$(P2)
+	cp debian/changelog debian/tmp/usr/share/doc/$(P2)/changelog.Debian
+#	cp ChangeLog debian/tmp/usr/share/doc/$(P2)/changelog
 
 	# Install package docs
-	$(INSTALL) -d debian/tmp/usr/doc/$(P2)/
-	$(INSTALL) -m 644 install debian/tmp/usr/doc/$(P2)/INSTALL
-	$(INSTALL) -m 644 readme debian/tmp/usr/doc/$(P2)/README
-	$(INSTALL) -m 644 debian/BUGS.debian debian/tmp/usr/doc/$(P2)
-	$(INSTALL) -m 644 doc/* debian/tmp/usr/doc/$(P2)/
-	gzip -9fv debian/tmp/usr/doc/$(P2)/*
+	$(INSTALL) -d debian/tmp/usr/share/doc/$(P2)/
+	$(INSTALL) -m 644 install debian/tmp/usr/share/doc/$(P2)/INSTALL
+	$(INSTALL) -m 644 readme debian/tmp/usr/share/doc/$(P2)/README
+	$(INSTALL) -m 644 doc/* debian/tmp/usr/share/doc/$(P2)/
+	gzip -9fv debian/tmp/usr/share/doc/$(P2)/*
 
 # but don't gzip the copyright statement
 #
-	cp debian/copyright debian/tmp/usr/doc/$(P2)/copyright
+	cp debian/copyright debian/tmp/usr/share/doc/$(P2)/copyright
 
 # Install test files
-	$(INSTALL) -d  debian/tmp/usr/doc/$(P2)/tests
-	$(INSTALL) -m 644 src/chk/*.f src/chk/Makefile src/chk/README.tests  debian/tmp/usr/doc/$(P2)/tests
-	$(INSTALL) -m 755 src/chk/dotests debian/tmp/usr/doc/$(P2)/tests
-	gzip -9vf debian/tmp/usr/doc/$(P2)/tests/*
+	$(INSTALL) -d  debian/tmp/usr/share/doc/$(P2)/tests
+	$(INSTALL) -m 644 src/chk/*.f src/chk/Makefile src/chk/README.tests  debian/tmp/usr/share/doc/$(P2)/tests
+	$(INSTALL) -m 755 src/chk/dotests debian/tmp/usr/share/doc/$(P2)/tests
+	gzip -9vf debian/tmp/usr/share/doc/$(P2)/tests/*
+
+# Install installation scripts
+#
+	cp debian/postinst.slatec-dev debian/tmp/DEBIAN/postinst
+	cp debian/prerm.slatec-dev debian/tmp/DEBIAN/prerm
+	chmod +x debian/tmp/DEBIAN/postinst debian/tmp/DEBIAN/prerm
 
 # Install header files
 #
